## org.omg.GIOP
Class LocateReplyHeader_1_2

    java.lang.Object
      |
      +--org.omg.GIOP.LocateReplyHeader_1_2

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class LocateReplyHeader_1_2
extends java.lang.Object
implements IDLEntity

Struct definition : LocateReplyHeader_1_2

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`LocateStatusType_1_2` `locate_status` Struct member locate_status
`int` `request_id` Struct member request_id

Constructor Summary
`LocateReplyHeader_1_2()` Default constructor
`LocateReplyHeader_1_2(int request_id, LocateStatusType_1_2 locate_status)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request_id

    public int request_id

  Struct member request_id

### locate_status

    public LocateStatusType_1_2 locate_status

  Struct member locate_status

Constructor Detail

### LocateReplyHeader_1_2

    public LocateReplyHeader_1_2()

  Default constructor

### LocateReplyHeader_1_2

    public LocateReplyHeader_1_2(int request_id,
                                 LocateStatusType_1_2 locate_status)

  Constructor with fields initialization
  Parameters:
    `request_id` - request_id struct member
    `locate_status` - locate_status struct member